from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from netty_snmp._types import DeviceType

EXTREME_DEVICE_TYPES: dict[str, "DeviceType"] = {
    "1.3.6.1.4.1.1916.2.1": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 1"},
    "1.3.6.1.4.1.1916.2.100": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "X150-24T"},
    "1.3.6.1.4.1.1916.2.101": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X150-24TDC"},
    "1.3.6.1.4.1.1916.2.102": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "X150-24P"},
    "1.3.6.1.4.1.1916.2.103": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X150-24X"},
    "1.3.6.1.4.1.1916.2.104": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X150-24XDC"},
    "1.3.6.1.4.1.1916.2.105": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "X150-48T"},
    "1.3.6.1.4.1.1916.2.106": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X150-48TDC"},
    "1.3.6.1.4.1.1916.2.107": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X150-48P"},
    "1.3.6.1.4.1.1916.2.108": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SENTRIANT AGSW"},
    "1.3.6.1.4.1.1916.2.109": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SENTRIANT AG200"},
    "1.3.6.1.4.1.1916.2.11": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "BLACKDIAMOND 64"},
    "1.3.6.1.4.1.1916.2.110": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT WM20"},
    "1.3.6.1.4.1.1916.2.111": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X350-24T"},
    "1.3.6.1.4.1.1916.2.112": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X350-48T"},
    "1.3.6.1.4.1.1916.2.113": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X650-24T"},
    "1.3.6.1.4.1.1916.2.114": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X650-24X"},
    "1.3.6.1.4.1.1916.2.115": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SENTRIANT NG300"},
    "1.3.6.1.4.1.1916.2.116": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ALTITUDE 360"},
    "1.3.6.1.4.1.1916.2.117": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ALTITUDE 450"},
    "1.3.6.1.4.1.1916.2.118": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X650-24X"},
    "1.3.6.1.4.1.1916.2.119": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X650-24T-SSNS",
    },
    "1.3.6.1.4.1.1916.2.12": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 7I SX"},
    "1.3.6.1.4.1.1916.2.120": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X650-24X"},
    "1.3.6.1.4.1.1916.2.121": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X650-24T-SS",
    },
    "1.3.6.1.4.1.1916.2.122": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X650-24X-10G8X",
    },
    "1.3.6.1.4.1.1916.2.123": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X650-24T-10G8X",
    },
    "1.3.6.1.4.1.1916.2.124": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X650-24X-SS256",
    },
    "1.3.6.1.4.1.1916.2.125": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X650-24T-SS256",
    },
    "1.3.6.1.4.1.1916.2.126": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X650-24X-SS512",
    },
    "1.3.6.1.4.1.1916.2.127": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X650-24T-SS512",
    },
    "1.3.6.1.4.1.1916.2.128": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "BLACKDIAMOND 20808",
    },
    "1.3.6.1.4.1.1916.2.129": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "NWI-E450A"},
    "1.3.6.1.4.1.1916.2.13": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 7I TX"},
    "1.3.6.1.4.1.1916.2.130": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SENTRIANT PS200V1"},
    "1.3.6.1.4.1.1916.2.131": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT WM3X00"},
    "1.3.6.1.4.1.1916.2.131.15": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "WM3700"},
    "1.3.6.1.4.1.1916.2.131.16": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT WM3600"},
    "1.3.6.1.4.1.1916.2.131.18": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT WM3400"},
    "1.3.6.1.4.1.1916.2.131.50.1.1.1": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "AP4511"},
    "1.3.6.1.4.1.1916.2.131.50.1.1.10": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "AP4600"},
    "1.3.6.1.4.1.1916.2.131.50.1.1.11": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "AP4021"},
    "1.3.6.1.4.1.1916.2.131.50.1.1.12": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "AP4022"},
    "1.3.6.1.4.1.1916.2.131.50.1.1.13": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "AP4522"},
    "1.3.6.1.4.1.1916.2.131.50.1.1.2": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "AP4521"},
    "1.3.6.1.4.1.1916.2.131.50.1.1.20": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "AP4832"},
    "1.3.6.1.4.1.1916.2.131.50.1.1.25": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "AP6562"},
    "1.3.6.1.4.1.1916.2.131.50.1.1.27": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "NX9510"},
    "1.3.6.1.4.1.1916.2.131.50.1.1.4": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "AP4532"},
    "1.3.6.1.4.1.1916.2.131.50.1.1.8": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "AP4760"},
    "1.3.6.1.4.1.1916.2.132": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "BLACKDIAMOND 20804",
    },
    "1.3.6.1.4.1.1916.2.133": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X480-48T"},
    "1.3.6.1.4.1.1916.2.134": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-48T-SS",
    },
    "1.3.6.1.4.1.1916.2.135": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "X480-48T"},
    "1.3.6.1.4.1.1916.2.136": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-48T-SS128",
    },
    "1.3.6.1.4.1.1916.2.137": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X480-24X"},
    "1.3.6.1.4.1.1916.2.138": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-24X-SS",
    },
    "1.3.6.1.4.1.1916.2.139": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X480-24X"},
    "1.3.6.1.4.1.1916.2.14": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 1I TX"},
    "1.3.6.1.4.1.1916.2.140": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-24X-SS128",
    },
    "1.3.6.1.4.1.1916.2.141": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X480-48X"},
    "1.3.6.1.4.1.1916.2.142": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-48X-SS",
    },
    "1.3.6.1.4.1.1916.2.143": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-48X-10G4X",
    },
    "1.3.6.1.4.1.1916.2.144": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-48X-SS128",
    },
    "1.3.6.1.4.1.1916.2.145": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ALTITUDE 3510"},
    "1.3.6.1.4.1.1916.2.146": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ALTITUDE 3550"},
    "1.3.6.1.4.1.1916.2.148": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ALTITUDE 4610"},
    "1.3.6.1.4.1.1916.2.149": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ALTITUDE 4620"},
    "1.3.6.1.4.1.1916.2.15": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 5I"},
    "1.3.6.1.4.1.1916.2.150": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X450E-24T"},
    "1.3.6.1.4.1.1916.2.151": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X450E-48T"},
    "1.3.6.1.4.1.1916.2.152": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "X460-24T"},
    "1.3.6.1.4.1.1916.2.153": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X460-24P"},
    "1.3.6.1.4.1.1916.2.154": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X460-24X"},
    "1.3.6.1.4.1.1916.2.155": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X460-48T"},
    "1.3.6.1.4.1.1916.2.156": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "X460-48P"},
    "1.3.6.1.4.1.1916.2.157": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X460-48X"},
    "1.3.6.1.4.1.1916.2.158": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ALTITUDE 4700"},
    "1.3.6.1.4.1.1916.2.159": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-24X-SSV80",
    },
    "1.3.6.1.4.1.1916.2.16": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 48I"},
    "1.3.6.1.4.1.1916.2.160": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-48X-SSV80",
    },
    "1.3.6.1.4.1.1916.2.161": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-48T-SSV80",
    },
    "1.3.6.1.4.1.1916.2.162": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X650-24X-40G4X",
    },
    "1.3.6.1.4.1.1916.2.163": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X650-24T-40G4X",
    },
    "1.3.6.1.4.1.1916.2.164": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-24X-40G4X",
    },
    "1.3.6.1.4.1.1916.2.165": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-48X-40G4X",
    },
    "1.3.6.1.4.1.1916.2.166": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X480-48T-40G4X",
    },
    "1.3.6.1.4.1.1916.2.167": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X670-48X"},
    "1.3.6.1.4.1.1916.2.168": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X670V-48X"},
    "1.3.6.1.4.1.1916.2.169": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "E4G-400"},
    "1.3.6.1.4.1.1916.2.17": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ALPINE 3808"},
    "1.3.6.1.4.1.1916.2.170": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "BLACKDIAMOND X8"},
    "1.3.6.1.4.1.1916.2.171": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "E4G-200"},
    "1.3.6.1.4.1.1916.2.172": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X440-8T"},
    "1.3.6.1.4.1.1916.2.173": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X440-8P"},
    "1.3.6.1.4.1.1916.2.174": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X440-24T"},
    "1.3.6.1.4.1.1916.2.175": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X440-24P"},
    "1.3.6.1.4.1.1916.2.176": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X440-48T"},
    "1.3.6.1.4.1.1916.2.177": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X440-48P"},
    "1.3.6.1.4.1.1916.2.178": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440-24T-10G",
    },
    "1.3.6.1.4.1.1916.2.179": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440-24P-10G",
    },
    "1.3.6.1.4.1.1916.2.180": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440-48T-10G",
    },
    "1.3.6.1.4.1.1916.2.181": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440-48P-10G",
    },
    "1.3.6.1.4.1.1916.2.182": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "AGS 100-24T"},
    "1.3.6.1.4.1.1916.2.183": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "AGS 150-24P"},
    "1.3.6.1.4.1.1916.2.184": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X670V-48T"},
    "1.3.6.1.4.1.1916.2.185": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440-L2-24T",
    },
    "1.3.6.1.4.1.1916.2.186": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440-L2-48T",
    },
    "1.3.6.1.4.1.1916.2.188": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X440-24X"},
    "1.3.6.1.4.1.1916.2.189": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440-24X-10G",
    },
    "1.3.6.1.4.1.1916.2.19": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 1I SX"},
    "1.3.6.1.4.1.1916.2.190": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X430-24T"},
    "1.3.6.1.4.1.1916.2.191": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X430-48T"},
    "1.3.6.1.4.1.1916.2.192": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X440-24TDC"},
    "1.3.6.1.4.1.1916.2.193": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X440-48TDC"},
    "1.3.6.1.4.1.1916.2.194": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X770-32Q"},
    "1.3.6.1.4.1.1916.2.195": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X670G2-48X-4Q",
    },
    "1.3.6.1.4.1.1916.2.197": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X460-G2-24T-10G4",
    },
    "1.3.6.1.4.1.1916.2.198": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X460-G2-24P-10G4",
    },
    "1.3.6.1.4.1.1916.2.199": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X460-G2-24X-10G4",
    },
    "1.3.6.1.4.1.1916.2.2": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 2"},
    "1.3.6.1.4.1.1916.2.20": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ALPINE 3804"},
    "1.3.6.1.4.1.1916.2.200": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X460G2-48T-10G4",
    },
    "1.3.6.1.4.1.1916.2.201": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X460-G2-48P-10G4",
    },
    "1.3.6.1.4.1.1916.2.203": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X430-8P"},
    "1.3.6.1.4.1.1916.2.207": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X450-G2-24P-10G4",
    },
    "1.3.6.1.4.1.1916.2.21": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 5ILX"},
    "1.3.6.1.4.1.1916.2.22": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 5I TX"},
    "1.3.6.1.4.1.1916.2.220": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440G2-48P-10G4",
    },
    "1.3.6.1.4.1.1916.2.221": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440-G2-48T-10G4",
    },
    "1.3.6.1.4.1.1916.2.223": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440G2-24P-10G4",
    },
    "1.3.6.1.4.1.1916.2.224": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440G2-24T-10G4",
    },
    "1.3.6.1.4.1.1916.2.227": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440G2-12P-10G4",
    },
    "1.3.6.1.4.1.1916.2.228": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X440-G2-12T-10G4",
    },
    "1.3.6.1.4.1.1916.2.23": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ENETSWITCH 24 PORT"},
    "1.3.6.1.4.1.1916.2.236": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X620-10X"},
    "1.3.6.1.4.1.1916.2.237": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X870-32C"},
    "1.3.6.1.4.1.1916.2.24": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "BLACK DIAMOND 6816"},
    "1.3.6.1.4.1.1916.2.247": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X690-48T-2Q-4C",
    },
    "1.3.6.1.4.1.1916.2.248": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "SUMMIT X690-48X-4Q-2C",
    },
    "1.3.6.1.4.1.1916.2.25": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 24E3"},
    "1.3.6.1.4.1.1916.2.26": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ALPINE 3802"},
    "1.3.6.1.4.1.1916.2.27": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "BLACK DIAMOND 6804"},
    "1.3.6.1.4.1.1916.2.28": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 48SI"},
    "1.3.6.1.4.1.1916.2.3": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 3"},
    "1.3.6.1.4.1.1916.2.30": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT PX1"},
    "1.3.6.1.4.1.1916.2.302": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "VSP-7432CQ"},
    "1.3.6.1.4.1.1916.2.312": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "X465-48T"},
    "1.3.6.1.4.1.1916.2.314": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X465-48W"},
    "1.3.6.1.4.1.1916.2.324": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "VSP-4900-48P"},
    "1.3.6.1.4.1.1916.2.325": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "VSP-7400-48Y-8C"},
    "1.3.6.1.4.1.1916.2.328": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "EXTREMESWITCHING X695-48Y-8C",
    },
    "1.3.6.1.4.1.1916.2.341": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "VSP-4900-12MXU-12XE",
    },
    "1.3.6.1.4.1.1916.2.4": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 4"},
    "1.3.6.1.4.1.1916.2.40": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 24E2"},
    "1.3.6.1.4.1.1916.2.41": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 24E2"},
    "1.3.6.1.4.1.1916.2.5": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 4 FX"},
    "1.3.6.1.4.1.1916.2.53": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 200-24"},
    "1.3.6.1.4.1.1916.2.54": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 200-48"},
    "1.3.6.1.4.1.1916.2.55": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 300-48"},
    "1.3.6.1.4.1.1916.2.56": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "BLACKDIAMOND 10808"},
    "1.3.6.1.4.1.1916.2.58": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 400-48T"},
    "1.3.6.1.4.1.1916.2.59": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 400-48T"},
    "1.3.6.1.4.1.1916.2.6": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 48"},
    "1.3.6.1.4.1.1916.2.6.3": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 400-24T"},
    "1.3.6.1.4.1.1916.2.60": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 200-48"},
    "1.3.6.1.4.1.1916.2.61": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 300-24"},
    "1.3.6.1.4.1.1916.2.62": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ASPEN 8810"},
    "1.3.6.1.4.1.1916.2.63": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 400-24T"},
    "1.3.6.1.4.1.1916.2.64": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 400-24P"},
    "1.3.6.1.4.1.1916.2.65": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X450-24X"},
    "1.3.6.1.4.1.1916.2.66": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X450-24T"},
    "1.3.6.1.4.1.1916.2.67": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 400-48T"},
    "1.3.6.1.4.1.1916.2.68": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMITWM 100"},
    "1.3.6.1.4.1.1916.2.69": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMITWM 1000"},
    "1.3.6.1.4.1.1916.2.7": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 24"},
    "1.3.6.1.4.1.1916.2.70": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT 200-24FX"},
    "1.3.6.1.4.1.1916.2.71": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X450A-24T"},
    "1.3.6.1.4.1.1916.2.72": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X450E-24P"},
    "1.3.6.1.4.1.1916.2.74": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "BLACKDIAMOND 8806"},
    "1.3.6.1.4.1.1916.2.75": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ALTITUDE 350"},
    "1.3.6.1.4.1.1916.2.76": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X450A-48T"},
    "1.3.6.1.4.1.1916.2.77": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "BLACKDIAMOND 12804"},
    "1.3.6.1.4.1.1916.2.79": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X450E-48P"},
    "1.3.6.1.4.1.1916.2.8": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "BLACKDIAMOND"},
    "1.3.6.1.4.1.1916.2.80": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "EXTREME SUMMIT X450A 24TDC 24 PORT SWITCH",
    },
    "1.3.6.1.4.1.1916.2.81": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "EXTREME SUMMIT X450A-24T 24 PORT SWITCH",
    },
    "1.3.6.1.4.1.1916.2.82": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "EXTREME SUMMIT X450A-24XDC 24 PORT SWITCH",
    },
    "1.3.6.1.4.1.1916.2.83": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SENTRIANT CE150"},
    "1.3.6.1.4.1.1916.2.84": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X450A-24X"},
    "1.3.6.1.4.1.1916.2.85": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "BLACKDIAMOND 12802"},
    "1.3.6.1.4.1.1916.2.86": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "ALTITUDE 300"},
    "1.3.6.1.4.1.1916.2.87": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "EXTREME SUMMIT X450A-48TDC 48 PORT SWITCH",
    },
    "1.3.6.1.4.1.1916.2.88": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X250E-24T"},
    "1.3.6.1.4.1.1916.2.89": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X250E-24P"},
    "1.3.6.1.4.1.1916.2.90": {
        "manufacturer": "Extreme Networks",
        "platform": "extreme",
        "model": "EXTREME SUMMIT X250-24X 24 PORT SWITCH",
    },
    "1.3.6.1.4.1.1916.2.91": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X250E-48T"},
    "1.3.6.1.4.1.1916.2.92": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X250-48P"},
    "1.3.6.1.4.1.1916.2.93": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X450A-48T"},
    "1.3.6.1.4.1.1916.2.94": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT WM200"},
    "1.3.6.1.4.1.1916.2.95": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMITWM 2000"},
    "1.3.6.1.4.1.1916.2.96": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT WM100LITE"},
    "1.3.6.1.4.1.1916.2.97": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X250-24TDC"},
    "1.3.6.1.4.1.1916.2.98": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X250-24XDC"},
    "1.3.6.1.4.1.1916.2.99": {"manufacturer": "Extreme Networks", "platform": "extreme", "model": "SUMMIT X250-48TDC"},
}
