from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from netty_snmp._types import DeviceType


TP_LINK_DEVICE_TYPES: dict[str, "DeviceType"] = {
    ".1.3.6.1.4.1.11863.5.1": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SL5428"},
    ".1.3.6.1.4.1.11863.5.2": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SL5428"},
    ".1.3.6.1.4.1.11863.5.3": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SL3424"},
    ".1.3.6.1.4.1.11863.5.4": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG3216"},
    ".1.3.6.1.4.1.11863.5.5": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG3210"},
    ".1.3.6.1.4.1.11863.5.6": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SL3428"},
    ".1.3.6.1.4.1.11863.5.7": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG5428"},
    ".1.3.6.1.4.1.11863.5.8": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG3424P"},
    ".1.3.6.1.4.1.11863.5.9": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG5412F"},
    ".1.3.6.1.4.1.11863.5.10": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T2700-28TCT"},
    ".1.3.6.1.4.1.11863.5.11": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SL2428"},
    ".1.3.6.1.4.1.11863.5.12": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG2216"},
    ".1.3.6.1.4.1.11863.5.13": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG2424"},
    ".1.3.6.1.4.1.11863.5.14": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG5428-CN"},
    ".1.3.6.1.4.1.11863.5.15": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG2452"},
    ".1.3.6.1.4.1.11863.5.16": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SL2218"},
    ".1.3.6.1.4.1.11863.5.17": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG2424P"},
    ".1.3.6.1.4.1.11863.5.18": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG2210"},
    ".1.3.6.1.4.1.11863.5.19": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SL2210"},
    ".1.3.6.1.4.1.11863.5.20": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T3700G-28TQ"},
    ".1.3.6.1.4.1.11863.5.21": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SL2226P"},
    ".1.3.6.1.4.1.11863.5.22": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SL2452"},
    ".1.3.6.1.4.1.11863.5.23": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SL2218P"},
    ".1.3.6.1.4.1.11863.5.24": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG3424-IPV6"},
    ".1.3.6.1.4.1.11863.5.25": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG2008"},
    ".1.3.6.1.4.1.11863.5.26": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG2210P"},
    ".1.3.6.1.4.1.11863.5.27": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T2700G-28TQ"},
    ".1.3.6.1.4.1.11863.5.28": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T1600G-28TS"},
    ".1.3.6.1.4.1.11863.5.29": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T1600G-52TS"},
    ".1.3.6.1.4.1.11863.5.30": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T3700G-54TQ"},
    ".1.3.6.1.4.1.11863.5.31": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T1700G-28TQ"},
    ".1.3.6.1.4.1.11863.5.32": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T1700G-52TQ"},
    ".1.3.6.1.4.1.11863.5.33": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T2600G-28TS"},
    ".1.3.6.1.4.1.11863.5.34": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T2600G-52TS"},
    ".1.3.6.1.4.1.11863.5.35": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T1500-28PCT"},
    ".1.3.6.1.4.1.11863.5.37": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T1600G-28PS"},
    ".1.3.6.1.4.1.11863.5.38": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T1600G-52PS"},
    ".1.3.6.1.4.1.11863.5.39": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG2224P"},
    ".1.3.6.1.4.1.11863.5.40": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG3428P"},
    ".1.3.6.1.4.1.11863.5.41": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T1700X-16TS"},
    ".1.3.6.1.4.1.11863.5.72": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "T2600G-18TS"},
    ".1.3.6.1.4.1.11863.5.122": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG3428"},
    ".1.3.6.1.4.1.11863.5.186": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "TL-SG3428MP"},
    "1.3.6.1.4.1.11863.3.2.10": {"manufacturer": "TP-Link", "platform": "tplink_jetstream", "model": "EAP245"},
}
